update Makefile(s).in to automake version 1.11.2
[scilab.git] / scilab / modules / ast / Makefile.in
1 # Makefile.in generated by automake 1.11.2 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
20 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
21 #
22 # This file must be used under the terms of the CeCILL.
23 # This source file is licensed as described in the file COPYING, which
24 # you should have received as part of this distribution.  The terms
25 # are also available at
26 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
27 #
28
29 ##########
30 ### Makefile included stuff
31 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
32 ##########
33
34
35 VPATH = @srcdir@
36 pkgdatadir = $(datadir)/@PACKAGE@
37 pkgincludedir = $(includedir)/@PACKAGE@
38 pkglibdir = $(libdir)/@PACKAGE@
39 pkglibexecdir = $(libexecdir)/@PACKAGE@
40 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
41 install_sh_DATA = $(install_sh) -c -m 644
42 install_sh_PROGRAM = $(install_sh) -c
43 install_sh_SCRIPT = $(install_sh) -c
44 INSTALL_HEADER = $(INSTALL_DATA)
45 transform = $(program_transform_name)
46 NORMAL_INSTALL = :
47 PRE_INSTALL = :
48 POST_INSTALL = :
49 NORMAL_UNINSTALL = :
50 PRE_UNINSTALL = :
51 POST_UNINSTALL = :
52 build_triplet = @build@
53 host_triplet = @host@
54 check_PROGRAMS = testConstExp$(EXEEXT) testVarExp$(EXEEXT) \
55         testControlExp$(EXEEXT)
56 TESTS = testConstExp$(EXEEXT) testVarExp$(EXEEXT) \
57         testControlExp$(EXEEXT)
58 DIST_COMMON = $(libsciast_la_include_HEADERS) $(srcdir)/Makefile.am \
59         $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am
60 @NEED_JAVA_TRUE@am__append_1 = java
61 subdir = modules/ast
62 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
63 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
64         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
65         $(top_srcdir)/m4/eigen.m4 $(top_srcdir)/m4/fftw.m4 \
66         $(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
67         $(top_srcdir)/m4/hdf5.m4 $(top_srcdir)/m4/intel_compiler.m4 \
68         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
69         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
70         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
71         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
72         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
73         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
74         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
75         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
76         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
77         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
78         $(top_srcdir)/configure.ac
79 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
80         $(ACLOCAL_M4)
81 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
82 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
83 CONFIG_CLEAN_FILES =
84 CONFIG_CLEAN_VPATH_FILES =
85 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
86 am__vpath_adj = case $$p in \
87     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
88     *) f=$$p;; \
89   esac;
90 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
91 am__install_max = 40
92 am__nobase_strip_setup = \
93   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
94 am__nobase_strip = \
95   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
96 am__nobase_list = $(am__nobase_strip_setup); \
97   for p in $$list; do echo "$$p $$p"; done | \
98   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
99   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
100     if (++n[$$2] == $(am__install_max)) \
101       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
102     END { for (dir in files) print dir, files[dir] }'
103 am__base_list = \
104   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
105   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
106 am__uninstall_files_from_dir = { \
107   test -z "$$files" \
108     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
109     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
110          $(am__cd) "$$dir" && rm -f $$files; }; \
111   }
112 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
113         "$(DESTDIR)$(libsciast_la_includedir)"
114 LTLIBRARIES = $(pkglib_LTLIBRARIES)
115 libsciast_la_LIBADD =
116 am_libsciast_la_OBJECTS = libsciast_la-libAst.lo \
117         libsciast_la-visitor_common.lo libsciast_la-printvisitor.lo \
118         libsciast_la-debugvisitor.lo libsciast_la-mutevisitor.lo \
119         libsciast_la-shortcutvisitor.lo \
120         libsciast_la-scilabexception.lo
121 libsciast_la_OBJECTS = $(am_libsciast_la_OBJECTS)
122 libsciast_la_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
123         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(libsciast_la_CXXFLAGS) \
124         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
125 am_testConstExp_OBJECTS = testConstExp-testConstExp.$(OBJEXT)
126 testConstExp_OBJECTS = $(am_testConstExp_OBJECTS)
127 testConstExp_DEPENDENCIES = $(check_LDADD)
128 testConstExp_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
129         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(testConstExp_CXXFLAGS) \
130         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
131 am_testControlExp_OBJECTS = testControlExp-testControlExp.$(OBJEXT)
132 testControlExp_OBJECTS = $(am_testControlExp_OBJECTS)
133 testControlExp_DEPENDENCIES = $(check_LDADD)
134 testControlExp_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
135         $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
136         $(testControlExp_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
137         $(LDFLAGS) -o $@
138 am_testVarExp_OBJECTS = testVarExp-testVarExp.$(OBJEXT)
139 testVarExp_OBJECTS = $(am_testVarExp_OBJECTS)
140 testVarExp_DEPENDENCIES = $(check_LDADD)
141 testVarExp_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
142         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(testVarExp_CXXFLAGS) \
143         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
144 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
145 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
146 am__depfiles_maybe = depfiles
147 am__mv = mv -f
148 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
149         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
150 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
151         --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
152         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
153 CXXLD = $(CXX)
154 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
155         --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
156         $(LDFLAGS) -o $@
157 SOURCES = $(libsciast_la_SOURCES) $(testConstExp_SOURCES) \
158         $(testControlExp_SOURCES) $(testVarExp_SOURCES)
159 DIST_SOURCES = $(libsciast_la_SOURCES) $(testConstExp_SOURCES) \
160         $(testControlExp_SOURCES) $(testVarExp_SOURCES)
161 HEADERS = $(libsciast_la_include_HEADERS)
162 ETAGS = etags
163 CTAGS = ctags
164 am__tty_colors = \
165 red=; grn=; lgn=; blu=; std=
166 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
167 ACLOCAL = @ACLOCAL@
168 ALL_LINGUAS = @ALL_LINGUAS@
169 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
170 AMTAR = @AMTAR@
171 ANT = @ANT@
172 ANTLR = @ANTLR@
173 AR = @AR@
174 ARPACK_LIBS = @ARPACK_LIBS@
175 AUTOCONF = @AUTOCONF@
176 AUTOHEADER = @AUTOHEADER@
177 AUTOMAKE = @AUTOMAKE@
178 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
179 AWK = @AWK@
180 BATIK = @BATIK@
181 BLAS_LIBS = @BLAS_LIBS@
182 BSH = @BSH@
183 CC = @CC@
184 CCACHE = @CCACHE@
185 CCDEPMODE = @CCDEPMODE@
186 CFLAGS = @CFLAGS@
187 CHECKSTYLE = @CHECKSTYLE@
188 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
189 COMMONS_IO = @COMMONS_IO@
190 COMMONS_LOGGING = @COMMONS_LOGGING@
191 CPP = @CPP@
192 CPPFLAGS = @CPPFLAGS@
193 CXX = @CXX@
194 CXXCPP = @CXXCPP@
195 CXXDEPMODE = @CXXDEPMODE@
196 CXXFLAGS = @CXXFLAGS@
197 CYGPATH_W = @CYGPATH_W@
198 DEFS = @DEFS@
199 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
200 DEPDIR = @DEPDIR@
201 DOCBOOK_ROOT = @DOCBOOK_ROOT@
202 DSYMUTIL = @DSYMUTIL@
203 DUMPBIN = @DUMPBIN@
204 ECHO_C = @ECHO_C@
205 ECHO_N = @ECHO_N@
206 ECHO_T = @ECHO_T@
207 EGREP = @EGREP@
208 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
209 EXEEXT = @EXEEXT@
210 F77 = @F77@
211 FFLAGS = @FFLAGS@
212 FFTW3_LIB = @FFTW3_LIB@
213 FFTW_ENABLE = @FFTW_ENABLE@
214 FGREP = @FGREP@
215 FLEXDOCK = @FLEXDOCK@
216 FLIBS = @FLIBS@
217 FOP = @FOP@
218 GENHTML = @GENHTML@
219 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
220 GIWS_BIN = @GIWS_BIN@
221 GLUEGEN_RT = @GLUEGEN_RT@
222 GMSGFMT = @GMSGFMT@
223 GMSGFMT_015 = @GMSGFMT_015@
224 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
225 GREP = @GREP@
226 GUI_ENABLE = @GUI_ENABLE@
227 HDF5_CFLAGS = @HDF5_CFLAGS@
228 HDF5_ENABLE = @HDF5_ENABLE@
229 HDF5_LIBS = @HDF5_LIBS@
230 HELP_ENABLE = @HELP_ENABLE@
231 INSTALL = @INSTALL@
232 INSTALL_DATA = @INSTALL_DATA@
233 INSTALL_PROGRAM = @INSTALL_PROGRAM@
234 INSTALL_SCRIPT = @INSTALL_SCRIPT@
235 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
236 INTLLIBS = @INTLLIBS@
237 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
238 JAR = @JAR@
239 JAVA = @JAVA@
240 JAVAC = @JAVAC@
241 JAVAC_DEBUG = @JAVAC_DEBUG@
242 JAVADOC = @JAVADOC@
243 JAVAH = @JAVAH@
244 JAVASCI_ENABLE = @JAVASCI_ENABLE@
245 JAVA_ENABLE = @JAVA_ENABLE@
246 JAVA_G = @JAVA_G@
247 JAVA_HOME = @JAVA_HOME@
248 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
249 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
250 JCOMMANDER = @JCOMMANDER@
251 JDB = @JDB@
252 JEUCLID_CORE = @JEUCLID_CORE@
253 JGRAPHX = @JGRAPHX@
254 JHALL = @JHALL@
255 JHDF5 = @JHDF5@
256 JLATEXMATH = @JLATEXMATH@
257 JLATEXMATH_FOP = @JLATEXMATH_FOP@
258 JOGL = @JOGL@
259 JROSETTA_API = @JROSETTA_API@
260 JROSETTA_ENGINE = @JROSETTA_ENGINE@
261 JUNIT = @JUNIT@
262 LAPACK_LIBS = @LAPACK_LIBS@
263 LCOV = @LCOV@
264 LD = @LD@
265 LDFLAGS = @LDFLAGS@
266 LEX = @LEX@
267 LEXLIB = @LEXLIB@
268 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
269 LIBICONV = @LIBICONV@
270 LIBINTL = @LIBINTL@
271 LIBM = @LIBM@
272 LIBOBJS = @LIBOBJS@
273 LIBS = @LIBS@
274 LIBTOOL = @LIBTOOL@
275 LIPO = @LIPO@
276 LN_S = @LN_S@
277 LOGGING_LEVEL = @LOGGING_LEVEL@
278 LOOKS = @LOOKS@
279 LTLIBICONV = @LTLIBICONV@
280 LTLIBINTL = @LTLIBINTL@
281 LTLIBOBJS = @LTLIBOBJS@
282 MAINT = @MAINT@
283 MAKEINFO = @MAKEINFO@
284 MATIO_CFLAGS = @MATIO_CFLAGS@
285 MATIO_ENABLE = @MATIO_ENABLE@
286 MATIO_LIBS = @MATIO_LIBS@
287 MKDIR_P = @MKDIR_P@
288 MSGCAT = @MSGCAT@
289 MSGFMT = @MSGFMT@
290 MSGFMT_015 = @MSGFMT_015@
291 MSGMERGE = @MSGMERGE@
292 NM = @NM@
293 NMEDIT = @NMEDIT@
294 OBJDUMP = @OBJDUMP@
295 OBJEXT = @OBJEXT@
296 OCAMLC = @OCAMLC@
297 OCAMLDEP = @OCAMLDEP@
298 OCAMLLEX = @OCAMLLEX@
299 OCAMLOPT = @OCAMLOPT@
300 OCAMLYACC = @OCAMLYACC@
301 OPENMP_CFLAGS = @OPENMP_CFLAGS@
302 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
303 OPENMP_ENABLE = @OPENMP_ENABLE@
304 OPENMP_LIBS = @OPENMP_LIBS@
305 OTOOL = @OTOOL@
306 OTOOL64 = @OTOOL64@
307 PACKAGE = @PACKAGE@
308 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
309 PACKAGE_NAME = @PACKAGE_NAME@
310 PACKAGE_STRING = @PACKAGE_STRING@
311 PACKAGE_TARNAME = @PACKAGE_TARNAME@
312 PACKAGE_URL = @PACKAGE_URL@
313 PACKAGE_VERSION = @PACKAGE_VERSION@
314 PATH_SEPARATOR = @PATH_SEPARATOR@
315 PCRE_CFLAGS = @PCRE_CFLAGS@
316 PCRE_CONFIG = @PCRE_CONFIG@
317 PCRE_LIBS = @PCRE_LIBS@
318 PCRE_VERSION = @PCRE_VERSION@
319 PKG_CONFIG = @PKG_CONFIG@
320 POSUB = @POSUB@
321 POW_LIB = @POW_LIB@
322 PYTHON = @PYTHON@
323 QDOX = @QDOX@
324 RANLIB = @RANLIB@
325 RELOCATABLE = @RELOCATABLE@
326 RT_LIB = @RT_LIB@
327 SAXON = @SAXON@
328 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
329 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
330 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
331 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
332 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
333 SED = @SED@
334 SET_MAKE = @SET_MAKE@
335 SET_RELOCATABLE = @SET_RELOCATABLE@
336 SHELL = @SHELL@
337 SKINLF = @SKINLF@
338 SPLINT = @SPLINT@
339 STRIP = @STRIP@
340 SWIG_BIN = @SWIG_BIN@
341 SWIG_JAVA = @SWIG_JAVA@
342 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
343 TCLTK_LIBS = @TCLTK_LIBS@
344 TCL_INC_PATH = @TCL_INC_PATH@
345 TESTNG = @TESTNG@
346 TK_INC_PATH = @TK_INC_PATH@
347 UMFPACK_ENABLE = @UMFPACK_ENABLE@
348 UMFPACK_LIB = @UMFPACK_LIB@
349 USE_NLS = @USE_NLS@
350 VERSION = @VERSION@
351 WITH_OCAML = @WITH_OCAML@
352 WITH_TKSCI = @WITH_TKSCI@
353 XCOS_ENABLE = @XCOS_ENABLE@
354 XGETTEXT = @XGETTEXT@
355 XGETTEXT_015 = @XGETTEXT_015@
356 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
357 XMKMF = @XMKMF@
358 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
359 XML_APIS_EXT = @XML_APIS_EXT@
360 XML_CONFIG = @XML_CONFIG@
361 XML_FLAGS = @XML_FLAGS@
362 XML_LIBS = @XML_LIBS@
363 XML_VERSION = @XML_VERSION@
364 X_CFLAGS = @X_CFLAGS@
365 X_EXTRA_LIBS = @X_EXTRA_LIBS@
366 X_LIBS = @X_LIBS@
367 X_PRE_LIBS = @X_PRE_LIBS@
368 YACC = @YACC@
369 YFLAGS = @YFLAGS@
370 abs_builddir = @abs_builddir@
371 abs_srcdir = @abs_srcdir@
372 abs_top_builddir = @abs_top_builddir@
373 abs_top_srcdir = @abs_top_srcdir@
374 ac_ct_CC = @ac_ct_CC@
375 ac_ct_CXX = @ac_ct_CXX@
376 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
377 ac_ct_F77 = @ac_ct_F77@
378 am__include = @am__include@
379 am__leading_dot = @am__leading_dot@
380 am__quote = @am__quote@
381 am__tar = @am__tar@
382 am__untar = @am__untar@
383 bindir = @bindir@
384 build = @build@
385 build_alias = @build_alias@
386 build_cpu = @build_cpu@
387 build_os = @build_os@
388 build_vendor = @build_vendor@
389 builddir = @builddir@
390 cxx_present = @cxx_present@
391 datadir = @datadir@
392 datarootdir = @datarootdir@
393 docdir = @docdir@
394 dvidir = @dvidir@
395 exec_prefix = @exec_prefix@
396 host = @host@
397 host_alias = @host_alias@
398 host_cpu = @host_cpu@
399 host_os = @host_os@
400 host_vendor = @host_vendor@
401 htmldir = @htmldir@
402 includedir = @includedir@
403 infodir = @infodir@
404 install_sh = @install_sh@
405 libdir = @libdir@
406 libexecdir = @libexecdir@
407 localedir = @localedir@
408 localstatedir = @localstatedir@
409 mandir = @mandir@
410 mkdir_p = @mkdir_p@
411 oldincludedir = @oldincludedir@
412 pdfdir = @pdfdir@
413 prefix = @prefix@
414 program_transform_name = @program_transform_name@
415 psdir = @psdir@
416 sbindir = @sbindir@
417 sharedstatedir = @sharedstatedir@
418 srcdir = @srcdir@
419 sysconfdir = @sysconfdir@
420 target_alias = @target_alias@
421 top_build_prefix = @top_build_prefix@
422 top_builddir = @top_builddir@
423 top_srcdir = @top_srcdir@
424 yacc_present = @yacc_present@
425 pkglib_LTLIBRARIES = libsciast.la
426 libsciast_la_SOURCES = \
427         src/cpp/libAst.cpp \
428         src/cpp/visitor_common.cpp \
429         src/cpp/printvisitor.cpp \
430         src/cpp/debugvisitor.cpp \
431         src/cpp/mutevisitor.cpp \
432         src/cpp/shortcutvisitor.cpp \
433         src/cpp/scilabexception.cpp
434
435 libsciast_la_CXXFLAGS = \
436         -Iincludes \
437         -Isrc/cpp \
438     -I$(top_srcdir)/modules/symbol/includes \
439         -I$(top_srcdir)/modules/types/includes \
440         -I$(top_srcdir)/modules/functions_manager/includes \
441         -I$(top_srcdir)/modules/elementary_functions/includes \
442         -I$(top_srcdir)/modules/operations/includes \
443         -I$(top_srcdir)/modules/output_stream/includes \
444         -I$(top_srcdir)/modules/system_env/includes \
445         -I$(top_srcdir)/modules/api_scilab/includes \
446         -I$(top_srcdir)/modules/string/includes \
447         -I$(top_srcdir)/modules/threads/includes \
448     -I$(top_srcdir)/libs/dynamiclibrary/includes \
449     $(EIGEN_CPPFLAGS)
450
451 libsciast_la_includedir = $(pkgincludedir)
452 libsciast_la_include_HEADERS = 
453
454 ####################
455 ####################
456 check_INCLUDES = \
457     -I$(top_srcdir)/modules/symbol/includes \
458         -Iincludes/ \
459         -Isrc/cpp
460
461 check_LDADD = \
462     $(top_builddir)/modules/symbol/libsciSymbol.la \
463         $(top_builddir)/modules/ast/libsciast.la \
464         $(top_builddir)/modules/types/libsciTypes.la
465
466 testConstExp_SOURCES = src/cpp/testConstExp.cpp
467 testConstExp_CXXFLAGS = $(check_INCLUDES)
468 testConstExp_LDADD = $(check_LDADD)
469 testVarExp_SOURCES = src/cpp/testVarExp.cpp
470 testVarExp_CXXFLAGS = $(check_INCLUDES)
471 testVarExp_LDADD = $(check_LDADD)
472 testControlExp_SOURCES = src/cpp/testControlExp.cpp
473 testControlExp_CXXFLAGS = $(check_INCLUDES)
474 testControlExp_LDADD = $(check_LDADD)
475
476 # Where all the Scilab stuff is installed (macros, help, ...)
477 mydatadir = $(pkgdatadir)/modules/$(modulename)
478
479 # splint options
480 SPLINT_OPTIONS = -weak -booltype BOOL
481
482 ########################### JAVA ######################################
483 #### We are delegating java compilation to ant... Thanks to that
484 #### the procedure will be the same with Microsoft Windows (C)
485 #### and Linux/Unix
486 #######################################################################
487 TARGETS_ALL = $(am__append_1)
488
489 ################ MACROS ######################
490 # Rule to build a macro
491 # NOT USED  AT THE MOMENT
492 SUFFIXES = .sci 
493
494 ########### INSTALL DOCUMENTATION ###################
495
496 # Install documentation files into the right target
497 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
498 # automake needs the html files to be present which is not the case when
499 # we are building Scilab
500
501 # Where it should be installed
502 pkgdocdir = $(mydatadir)
503
504 # What is the mask of the help source
505 DOCMASKXML = *.xml
506
507 # What is the mask of the MathML sources
508 DOCMASKMML = *.mml
509
510 ########### INSTALL DATA ###################
511 # Install macros, help & demos
512 # Where it should be installed
513 pkgmacrosdir = $(mydatadir)
514 # Which directory we process
515 MACRODIRS = macros/
516 # Mask of the Scilab sources macros
517 MACROMASK = *.sci
518 # Mask of the Scilab executable sources macros
519 MACROBUILDMASK = *.sce
520 # Mask of the Scilab compiled macros
521 MACROBINMASK = *.bin
522 # List of the standard directory for tests
523 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
524 # Where the demos should be installed
525 pkgdemosdir = $(mydatadir)
526 # List of the standard directory for demos
527 DEMOS_DIR = demos
528 # List of the standard directory for examples
529 EXAMPLES_DIR = examples
530 # Where to export JAVA archives (.jar)
531 JARDIR = jar/
532 # JAR files mask
533 JARMASK = *.jar
534 # Chapter file 
535 HELP_CHAPTERDIR = help/
536 HELP_CHAPTERFILE = addchapter.sce
537 HELP_CHAPTERLANG = en_US fr_FR pt_BR
538 all: all-am
539
540 .SUFFIXES:
541 .SUFFIXES: .sci .bin .cpp .lo .o .obj
542 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
543         @for dep in $?; do \
544           case '$(am__configure_deps)' in \
545             *$$dep*) \
546               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
547                 && { if test -f $@; then exit 0; else break; fi; }; \
548               exit 1;; \
549           esac; \
550         done; \
551         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/ast/Makefile'; \
552         $(am__cd) $(top_srcdir) && \
553           $(AUTOMAKE) --foreign modules/ast/Makefile
554 .PRECIOUS: Makefile
555 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
556         @case '$?' in \
557           *config.status*) \
558             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
559           *) \
560             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
561             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
562         esac;
563
564 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
565         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
566
567 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
568         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
569 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
570         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
571 $(am__aclocal_m4_deps):
572 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
573         @$(NORMAL_INSTALL)
574         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
575         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
576         list2=; for p in $$list; do \
577           if test -f $$p; then \
578             list2="$$list2 $$p"; \
579           else :; fi; \
580         done; \
581         test -z "$$list2" || { \
582           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
583           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
584         }
585
586 uninstall-pkglibLTLIBRARIES:
587         @$(NORMAL_UNINSTALL)
588         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
589         for p in $$list; do \
590           $(am__strip_dir) \
591           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
592           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
593         done
594
595 clean-pkglibLTLIBRARIES:
596         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
597         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
598           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
599           test "$$dir" != "$$p" || dir=.; \
600           echo "rm -f \"$${dir}/so_locations\""; \
601           rm -f "$${dir}/so_locations"; \
602         done
603 libsciast.la: $(libsciast_la_OBJECTS) $(libsciast_la_DEPENDENCIES) 
604         $(libsciast_la_LINK) -rpath $(pkglibdir) $(libsciast_la_OBJECTS) $(libsciast_la_LIBADD) $(LIBS)
605
606 clean-checkPROGRAMS:
607         @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
608         echo " rm -f" $$list; \
609         rm -f $$list || exit $$?; \
610         test -n "$(EXEEXT)" || exit 0; \
611         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
612         echo " rm -f" $$list; \
613         rm -f $$list
614 testConstExp$(EXEEXT): $(testConstExp_OBJECTS) $(testConstExp_DEPENDENCIES) 
615         @rm -f testConstExp$(EXEEXT)
616         $(testConstExp_LINK) $(testConstExp_OBJECTS) $(testConstExp_LDADD) $(LIBS)
617 testControlExp$(EXEEXT): $(testControlExp_OBJECTS) $(testControlExp_DEPENDENCIES) 
618         @rm -f testControlExp$(EXEEXT)
619         $(testControlExp_LINK) $(testControlExp_OBJECTS) $(testControlExp_LDADD) $(LIBS)
620 testVarExp$(EXEEXT): $(testVarExp_OBJECTS) $(testVarExp_DEPENDENCIES) 
621         @rm -f testVarExp$(EXEEXT)
622         $(testVarExp_LINK) $(testVarExp_OBJECTS) $(testVarExp_LDADD) $(LIBS)
623
624 mostlyclean-compile:
625         -rm -f *.$(OBJEXT)
626
627 distclean-compile:
628         -rm -f *.tab.c
629
630 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-debugvisitor.Plo@am__quote@
631 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-libAst.Plo@am__quote@
632 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-mutevisitor.Plo@am__quote@
633 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-printvisitor.Plo@am__quote@
634 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-scilabexception.Plo@am__quote@
635 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-shortcutvisitor.Plo@am__quote@
636 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-visitor_common.Plo@am__quote@
637 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testConstExp-testConstExp.Po@am__quote@
638 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testControlExp-testControlExp.Po@am__quote@
639 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testVarExp-testVarExp.Po@am__quote@
640
641 .cpp.o:
642 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
643 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
644 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
645 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
646 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
647
648 .cpp.obj:
649 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
650 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
651 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
652 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
653 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
654
655 .cpp.lo:
656 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
657 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
658 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
659 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
660 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
661
662 libsciast_la-libAst.lo: src/cpp/libAst.cpp
663 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciast_la_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-libAst.lo -MD -MP -MF $(DEPDIR)/libsciast_la-libAst.Tpo -c -o libsciast_la-libAst.lo `test -f 'src/cpp/libAst.cpp' || echo '$(srcdir)/'`src/cpp/libAst.cpp
664 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciast_la-libAst.Tpo $(DEPDIR)/libsciast_la-libAst.Plo
665 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/libAst.cpp' object='libsciast_la-libAst.lo' libtool=yes @AMDEPBACKSLASH@
666 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
667 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciast_la_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-libAst.lo `test -f 'src/cpp/libAst.cpp' || echo '$(srcdir)/'`src/cpp/libAst.cpp
668
669 libsciast_la-visitor_common.lo: src/cpp/visitor_common.cpp
670 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciast_la_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-visitor_common.lo -MD -MP -MF $(DEPDIR)/libsciast_la-visitor_common.Tpo -c -o libsciast_la-visitor_common.lo `test -f 'src/cpp/visitor_common.cpp' || echo '$(srcdir)/'`src/cpp/visitor_common.cpp
671 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciast_la-visitor_common.Tpo $(DEPDIR)/libsciast_la-visitor_common.Plo
672 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/visitor_common.cpp' object='libsciast_la-visitor_common.lo' libtool=yes @AMDEPBACKSLASH@
673 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
674 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciast_la_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-visitor_common.lo `test -f 'src/cpp/visitor_common.cpp' || echo '$(srcdir)/'`src/cpp/visitor_common.cpp
675
676 libsciast_la-printvisitor.lo: src/cpp/printvisitor.cpp
677 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciast_la_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-printvisitor.lo -MD -MP -MF $(DEPDIR)/libsciast_la-printvisitor.Tpo -c -o libsciast_la-printvisitor.lo `test -f 'src/cpp/printvisitor.cpp' || echo '$(srcdir)/'`src/cpp/printvisitor.cpp
678 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciast_la-printvisitor.Tpo $(DEPDIR)/libsciast_la-printvisitor.Plo
679 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/printvisitor.cpp' object='libsciast_la-printvisitor.lo' libtool=yes @AMDEPBACKSLASH@
680 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
681 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciast_la_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-printvisitor.lo `test -f 'src/cpp/printvisitor.cpp' || echo '$(srcdir)/'`src/cpp/printvisitor.cpp
682
683 libsciast_la-debugvisitor.lo: src/cpp/debugvisitor.cpp
684 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciast_la_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-debugvisitor.lo -MD -MP -MF $(DEPDIR)/libsciast_la-debugvisitor.Tpo -c -o libsciast_la-debugvisitor.lo `test -f 'src/cpp/debugvisitor.cpp' || echo '$(srcdir)/'`src/cpp/debugvisitor.cpp
685 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciast_la-debugvisitor.Tpo $(DEPDIR)/libsciast_la-debugvisitor.Plo
686 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/debugvisitor.cpp' object='libsciast_la-debugvisitor.lo' libtool=yes @AMDEPBACKSLASH@
687 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
688 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciast_la_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-debugvisitor.lo `test -f 'src/cpp/debugvisitor.cpp' || echo '$(srcdir)/'`src/cpp/debugvisitor.cpp
689
690 libsciast_la-mutevisitor.lo: src/cpp/mutevisitor.cpp
691 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciast_la_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-mutevisitor.lo -MD -MP -MF $(DEPDIR)/libsciast_la-mutevisitor.Tpo -c -o libsciast_la-mutevisitor.lo `test -f 'src/cpp/mutevisitor.cpp' || echo '$(srcdir)/'`src/cpp/mutevisitor.cpp
692 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciast_la-mutevisitor.Tpo $(DEPDIR)/libsciast_la-mutevisitor.Plo
693 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/mutevisitor.cpp' object='libsciast_la-mutevisitor.lo' libtool=yes @AMDEPBACKSLASH@
694 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
695 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciast_la_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-mutevisitor.lo `test -f 'src/cpp/mutevisitor.cpp' || echo '$(srcdir)/'`src/cpp/mutevisitor.cpp
696
697 libsciast_la-shortcutvisitor.lo: src/cpp/shortcutvisitor.cpp
698 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciast_la_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-shortcutvisitor.lo -MD -MP -MF $(DEPDIR)/libsciast_la-shortcutvisitor.Tpo -c -o libsciast_la-shortcutvisitor.lo `test -f 'src/cpp/shortcutvisitor.cpp' || echo '$(srcdir)/'`src/cpp/shortcutvisitor.cpp
699 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciast_la-shortcutvisitor.Tpo $(DEPDIR)/libsciast_la-shortcutvisitor.Plo
700 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/shortcutvisitor.cpp' object='libsciast_la-shortcutvisitor.lo' libtool=yes @AMDEPBACKSLASH@
701 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
702 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciast_la_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-shortcutvisitor.lo `test -f 'src/cpp/shortcutvisitor.cpp' || echo '$(srcdir)/'`src/cpp/shortcutvisitor.cpp
703
704 libsciast_la-scilabexception.lo: src/cpp/scilabexception.cpp
705 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciast_la_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-scilabexception.lo -MD -MP -MF $(DEPDIR)/libsciast_la-scilabexception.Tpo -c -o libsciast_la-scilabexception.lo `test -f 'src/cpp/scilabexception.cpp' || echo '$(srcdir)/'`src/cpp/scilabexception.cpp
706 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciast_la-scilabexception.Tpo $(DEPDIR)/libsciast_la-scilabexception.Plo
707 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/scilabexception.cpp' object='libsciast_la-scilabexception.lo' libtool=yes @AMDEPBACKSLASH@
708 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
709 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciast_la_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-scilabexception.lo `test -f 'src/cpp/scilabexception.cpp' || echo '$(srcdir)/'`src/cpp/scilabexception.cpp
710
711 testConstExp-testConstExp.o: src/cpp/testConstExp.cpp
712 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testConstExp_CXXFLAGS) $(CXXFLAGS) -MT testConstExp-testConstExp.o -MD -MP -MF $(DEPDIR)/testConstExp-testConstExp.Tpo -c -o testConstExp-testConstExp.o `test -f 'src/cpp/testConstExp.cpp' || echo '$(srcdir)/'`src/cpp/testConstExp.cpp
713 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/testConstExp-testConstExp.Tpo $(DEPDIR)/testConstExp-testConstExp.Po
714 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/testConstExp.cpp' object='testConstExp-testConstExp.o' libtool=no @AMDEPBACKSLASH@
715 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
716 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testConstExp_CXXFLAGS) $(CXXFLAGS) -c -o testConstExp-testConstExp.o `test -f 'src/cpp/testConstExp.cpp' || echo '$(srcdir)/'`src/cpp/testConstExp.cpp
717
718 testConstExp-testConstExp.obj: src/cpp/testConstExp.cpp
719 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testConstExp_CXXFLAGS) $(CXXFLAGS) -MT testConstExp-testConstExp.obj -MD -MP -MF $(DEPDIR)/testConstExp-testConstExp.Tpo -c -o testConstExp-testConstExp.obj `if test -f 'src/cpp/testConstExp.cpp'; then $(CYGPATH_W) 'src/cpp/testConstExp.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/testConstExp.cpp'; fi`
720 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/testConstExp-testConstExp.Tpo $(DEPDIR)/testConstExp-testConstExp.Po
721 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/testConstExp.cpp' object='testConstExp-testConstExp.obj' libtool=no @AMDEPBACKSLASH@
722 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
723 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testConstExp_CXXFLAGS) $(CXXFLAGS) -c -o testConstExp-testConstExp.obj `if test -f 'src/cpp/testConstExp.cpp'; then $(CYGPATH_W) 'src/cpp/testConstExp.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/testConstExp.cpp'; fi`
724
725 testControlExp-testControlExp.o: src/cpp/testControlExp.cpp
726 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testControlExp_CXXFLAGS) $(CXXFLAGS) -MT testControlExp-testControlExp.o -MD -MP -MF $(DEPDIR)/testControlExp-testControlExp.Tpo -c -o testControlExp-testControlExp.o `test -f 'src/cpp/testControlExp.cpp' || echo '$(srcdir)/'`src/cpp/testControlExp.cpp
727 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/testControlExp-testControlExp.Tpo $(DEPDIR)/testControlExp-testControlExp.Po
728 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/testControlExp.cpp' object='testControlExp-testControlExp.o' libtool=no @AMDEPBACKSLASH@
729 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
730 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testControlExp_CXXFLAGS) $(CXXFLAGS) -c -o testControlExp-testControlExp.o `test -f 'src/cpp/testControlExp.cpp' || echo '$(srcdir)/'`src/cpp/testControlExp.cpp
731
732 testControlExp-testControlExp.obj: src/cpp/testControlExp.cpp
733 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testControlExp_CXXFLAGS) $(CXXFLAGS) -MT testControlExp-testControlExp.obj -MD -MP -MF $(DEPDIR)/testControlExp-testControlExp.Tpo -c -o testControlExp-testControlExp.obj `if test -f 'src/cpp/testControlExp.cpp'; then $(CYGPATH_W) 'src/cpp/testControlExp.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/testControlExp.cpp'; fi`
734 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/testControlExp-testControlExp.Tpo $(DEPDIR)/testControlExp-testControlExp.Po
735 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/testControlExp.cpp' object='testControlExp-testControlExp.obj' libtool=no @AMDEPBACKSLASH@
736 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
737 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testControlExp_CXXFLAGS) $(CXXFLAGS) -c -o testControlExp-testControlExp.obj `if test -f 'src/cpp/testControlExp.cpp'; then $(CYGPATH_W) 'src/cpp/testControlExp.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/testControlExp.cpp'; fi`
738
739 testVarExp-testVarExp.o: src/cpp/testVarExp.cpp
740 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testVarExp_CXXFLAGS) $(CXXFLAGS) -MT testVarExp-testVarExp.o -MD -MP -MF $(DEPDIR)/testVarExp-testVarExp.Tpo -c -o testVarExp-testVarExp.o `test -f 'src/cpp/testVarExp.cpp' || echo '$(srcdir)/'`src/cpp/testVarExp.cpp
741 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/testVarExp-testVarExp.Tpo $(DEPDIR)/testVarExp-testVarExp.Po
742 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/testVarExp.cpp' object='testVarExp-testVarExp.o' libtool=no @AMDEPBACKSLASH@
743 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
744 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testVarExp_CXXFLAGS) $(CXXFLAGS) -c -o testVarExp-testVarExp.o `test -f 'src/cpp/testVarExp.cpp' || echo '$(srcdir)/'`src/cpp/testVarExp.cpp
745
746 testVarExp-testVarExp.obj: src/cpp/testVarExp.cpp
747 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testVarExp_CXXFLAGS) $(CXXFLAGS) -MT testVarExp-testVarExp.obj -MD -MP -MF $(DEPDIR)/testVarExp-testVarExp.Tpo -c -o testVarExp-testVarExp.obj `if test -f 'src/cpp/testVarExp.cpp'; then $(CYGPATH_W) 'src/cpp/testVarExp.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/testVarExp.cpp'; fi`
748 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/testVarExp-testVarExp.Tpo $(DEPDIR)/testVarExp-testVarExp.Po
749 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/testVarExp.cpp' object='testVarExp-testVarExp.obj' libtool=no @AMDEPBACKSLASH@
750 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
751 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testVarExp_CXXFLAGS) $(CXXFLAGS) -c -o testVarExp-testVarExp.obj `if test -f 'src/cpp/testVarExp.cpp'; then $(CYGPATH_W) 'src/cpp/testVarExp.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/testVarExp.cpp'; fi`
752
753 mostlyclean-libtool:
754         -rm -f *.lo
755
756 clean-libtool:
757         -rm -rf .libs _libs
758 install-libsciast_la_includeHEADERS: $(libsciast_la_include_HEADERS)
759         @$(NORMAL_INSTALL)
760         test -z "$(libsciast_la_includedir)" || $(MKDIR_P) "$(DESTDIR)$(libsciast_la_includedir)"
761         @list='$(libsciast_la_include_HEADERS)'; test -n "$(libsciast_la_includedir)" || list=; \
762         for p in $$list; do \
763           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
764           echo "$$d$$p"; \
765         done | $(am__base_list) | \
766         while read files; do \
767           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libsciast_la_includedir)'"; \
768           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libsciast_la_includedir)" || exit $$?; \
769         done
770
771 uninstall-libsciast_la_includeHEADERS:
772         @$(NORMAL_UNINSTALL)
773         @list='$(libsciast_la_include_HEADERS)'; test -n "$(libsciast_la_includedir)" || list=; \
774         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
775         dir='$(DESTDIR)$(libsciast_la_includedir)'; $(am__uninstall_files_from_dir)
776
777 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
778         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
779         unique=`for i in $$list; do \
780             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
781           done | \
782           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
783               END { if (nonempty) { for (i in files) print i; }; }'`; \
784         mkid -fID $$unique
785 tags: TAGS
786
787 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
788                 $(TAGS_FILES) $(LISP)
789         set x; \
790         here=`pwd`; \
791         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
792         unique=`for i in $$list; do \
793             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
794           done | \
795           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
796               END { if (nonempty) { for (i in files) print i; }; }'`; \
797         shift; \
798         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
799           test -n "$$unique" || unique=$$empty_fix; \
800           if test $$# -gt 0; then \
801             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
802               "$$@" $$unique; \
803           else \
804             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
805               $$unique; \
806           fi; \
807         fi
808 ctags: CTAGS
809 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
810                 $(TAGS_FILES) $(LISP)
811         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
812         unique=`for i in $$list; do \
813             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
814           done | \
815           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
816               END { if (nonempty) { for (i in files) print i; }; }'`; \
817         test -z "$(CTAGS_ARGS)$$unique" \
818           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
819              $$unique
820
821 GTAGS:
822         here=`$(am__cd) $(top_builddir) && pwd` \
823           && $(am__cd) $(top_srcdir) \
824           && gtags -i $(GTAGS_ARGS) "$$here"
825
826 distclean-tags:
827         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
828
829 check-TESTS: $(TESTS)
830         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
831         srcdir=$(srcdir); export srcdir; \
832         list=' $(TESTS) '; \
833         $(am__tty_colors); \
834         if test -n "$$list"; then \
835           for tst in $$list; do \
836             if test -f ./$$tst; then dir=./; \
837             elif test -f $$tst; then dir=; \
838             else dir="$(srcdir)/"; fi; \
839             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
840               all=`expr $$all + 1`; \
841               case " $(XFAIL_TESTS) " in \
842               *[\ \     ]$$tst[\ \      ]*) \
843                 xpass=`expr $$xpass + 1`; \
844                 failed=`expr $$failed + 1`; \
845                 col=$$red; res=XPASS; \
846               ;; \
847               *) \
848                 col=$$grn; res=PASS; \
849               ;; \
850               esac; \
851             elif test $$? -ne 77; then \
852               all=`expr $$all + 1`; \
853               case " $(XFAIL_TESTS) " in \
854               *[\ \     ]$$tst[\ \      ]*) \
855                 xfail=`expr $$xfail + 1`; \
856                 col=$$lgn; res=XFAIL; \
857               ;; \
858               *) \
859                 failed=`expr $$failed + 1`; \
860                 col=$$red; res=FAIL; \
861               ;; \
862               esac; \
863             else \
864               skip=`expr $$skip + 1`; \
865               col=$$blu; res=SKIP; \
866             fi; \
867             echo "$${col}$$res$${std}: $$tst"; \
868           done; \
869           if test "$$all" -eq 1; then \
870             tests="test"; \
871             All=""; \
872           else \
873             tests="tests"; \
874             All="All "; \
875           fi; \
876           if test "$$failed" -eq 0; then \
877             if test "$$xfail" -eq 0; then \
878               banner="$$All$$all $$tests passed"; \
879             else \
880               if test "$$xfail" -eq 1; then failures=failure; else failures=failures; fi; \
881               banner="$$All$$all $$tests behaved as expected ($$xfail expected $$failures)"; \
882             fi; \
883           else \
884             if test "$$xpass" -eq 0; then \
885               banner="$$failed of $$all $$tests failed"; \
886             else \
887               if test "$$xpass" -eq 1; then passes=pass; else passes=passes; fi; \
888               banner="$$failed of $$all $$tests did not behave as expected ($$xpass unexpected $$passes)"; \
889             fi; \
890           fi; \
891           dashes="$$banner"; \
892           skipped=""; \
893           if test "$$skip" -ne 0; then \
894             if test "$$skip" -eq 1; then \
895               skipped="($$skip test was not run)"; \
896             else \
897               skipped="($$skip tests were not run)"; \
898             fi; \
899             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
900               dashes="$$skipped"; \
901           fi; \
902           report=""; \
903           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
904             report="Please report to $(PACKAGE_BUGREPORT)"; \
905             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
906               dashes="$$report"; \
907           fi; \
908           dashes=`echo "$$dashes" | sed s/./=/g`; \
909           if test "$$failed" -eq 0; then \
910             col="$$grn"; \
911           else \
912             col="$$red"; \
913           fi; \
914           echo "$${col}$$dashes$${std}"; \
915           echo "$${col}$$banner$${std}"; \
916           test -z "$$skipped" || echo "$${col}$$skipped$${std}"; \
917           test -z "$$report" || echo "$${col}$$report$${std}"; \
918           echo "$${col}$$dashes$${std}"; \
919           test "$$failed" -eq 0; \
920         else :; fi
921
922 distdir: $(DISTFILES)
923         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
924         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
925         list='$(DISTFILES)'; \
926           dist_files=`for file in $$list; do echo $$file; done | \
927           sed -e "s|^$$srcdirstrip/||;t" \
928               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
929         case $$dist_files in \
930           */*) $(MKDIR_P) `echo "$$dist_files" | \
931                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
932                            sort -u` ;; \
933         esac; \
934         for file in $$dist_files; do \
935           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
936           if test -d $$d/$$file; then \
937             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
938             if test -d "$(distdir)/$$file"; then \
939               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
940             fi; \
941             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
942               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
943               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
944             fi; \
945             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
946           else \
947             test -f "$(distdir)/$$file" \
948             || cp -p $$d/$$file "$(distdir)/$$file" \
949             || exit 1; \
950           fi; \
951         done
952 check-am: all-am
953         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
954         $(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
955 check: check-am
956 all-am: Makefile $(LTLIBRARIES) $(HEADERS) all-local
957 installdirs:
958         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciast_la_includedir)"; do \
959           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
960         done
961 install: install-am
962 install-exec: install-exec-am
963 install-data: install-data-am
964 uninstall: uninstall-am
965
966 install-am: all-am
967         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
968
969 installcheck: installcheck-am
970 install-strip:
971         if test -z '$(STRIP)'; then \
972           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
973             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
974               install; \
975         else \
976           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
977             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
978             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
979         fi
980 mostlyclean-generic:
981
982 clean-generic:
983
984 distclean-generic:
985         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
986         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
987
988 maintainer-clean-generic:
989         @echo "This command is intended for maintainers to use"
990         @echo "it deletes files that may require special tools to rebuild."
991 clean: clean-am
992
993 clean-am: clean-checkPROGRAMS clean-generic clean-libtool clean-local \
994         clean-pkglibLTLIBRARIES mostlyclean-am
995
996 distclean: distclean-am
997         -rm -rf ./$(DEPDIR)
998         -rm -f Makefile
999 distclean-am: clean-am distclean-compile distclean-generic \
1000         distclean-local distclean-tags
1001
1002 dvi: dvi-am
1003
1004 dvi-am:
1005
1006 html: html-am
1007
1008 html-am:
1009
1010 info: info-am
1011
1012 info-am:
1013
1014 install-data-am: install-data-local \
1015         install-libsciast_la_includeHEADERS
1016
1017 install-dvi: install-dvi-am
1018
1019 install-dvi-am:
1020
1021 install-exec-am: install-pkglibLTLIBRARIES
1022
1023 install-html: install-html-am
1024
1025 install-html-am: install-html-local
1026
1027 install-info: install-info-am
1028
1029 install-info-am:
1030
1031 install-man:
1032
1033 install-pdf: install-pdf-am
1034
1035 install-pdf-am:
1036
1037 install-ps: install-ps-am
1038
1039 install-ps-am:
1040
1041 installcheck-am:
1042
1043 maintainer-clean: maintainer-clean-am
1044         -rm -rf ./$(DEPDIR)
1045         -rm -f Makefile
1046 maintainer-clean-am: distclean-am maintainer-clean-generic
1047
1048 mostlyclean: mostlyclean-am
1049
1050 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1051         mostlyclean-libtool
1052
1053 pdf: pdf-am
1054
1055 pdf-am:
1056
1057 ps: ps-am
1058
1059 ps-am:
1060
1061 uninstall-am: uninstall-libsciast_la_includeHEADERS \
1062         uninstall-pkglibLTLIBRARIES
1063
1064 .MAKE: check-am install-am install-strip
1065
1066 .PHONY: CTAGS GTAGS all all-am all-local check check-TESTS check-am \
1067         check-local clean clean-checkPROGRAMS clean-generic \
1068         clean-libtool clean-local clean-pkglibLTLIBRARIES ctags \
1069         distclean distclean-compile distclean-generic \
1070         distclean-libtool distclean-local distclean-tags distdir dvi \
1071         dvi-am html html-am info info-am install install-am \
1072         install-data install-data-am install-data-local install-dvi \
1073         install-dvi-am install-exec install-exec-am install-html \
1074         install-html-am install-html-local install-info \
1075         install-info-am install-libsciast_la_includeHEADERS \
1076         install-man install-pdf install-pdf-am \
1077         install-pkglibLTLIBRARIES install-ps install-ps-am \
1078         install-strip installcheck installcheck-am installdirs \
1079         maintainer-clean maintainer-clean-generic mostlyclean \
1080         mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1081         pdf pdf-am ps ps-am tags uninstall uninstall-am \
1082         uninstall-libsciast_la_includeHEADERS \
1083         uninstall-pkglibLTLIBRARIES
1084
1085
1086 # This target enables tests for Scilab
1087 check-local: $(top_builddir)/scilab-bin test
1088         @COMMAND="test_run('$(modulename)');quit";\
1089         export LANG=C;\
1090         $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
1091 check-code:
1092         if test -f build.xml; then \
1093                 $(ANT) checkstyle; \
1094         fi
1095         if test -x "$(SPLINT)"; then \
1096                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1097         fi
1098 @NEED_JAVA_TRUE@java:
1099 # Some configurations needs to export JAVA_HOME in the current env
1100 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1101 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1102 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1103 @NEED_JAVA_TRUE@                $(ANT); \
1104 @NEED_JAVA_TRUE@        fi
1105
1106 @NEED_JAVA_TRUE@clean-java:
1107 # Some configurations needs to export JAVA_HOME in the current env
1108 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1109 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1110 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1111 @NEED_JAVA_TRUE@                $(ANT) clean; \
1112 @NEED_JAVA_TRUE@        fi;
1113
1114 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1115 # We call the target swig-build on the variable SWIG_WRAPPERS
1116
1117 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1118 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1119 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1120 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1121 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1122 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1123 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1124 @SWIG_TRUE@             done; \
1125 @SWIG_TRUE@     fi
1126
1127 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1128 # We call the target swig-build on the variable SWIG_WRAPPERS
1129
1130 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1131 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1132 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1133 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1134 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1135 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1136 @GIWS_TRUE@             done; \
1137 @GIWS_TRUE@     fi
1138
1139 @GIWS_TRUE@giws-exception:
1140 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1141 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1142 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1143
1144 macros:
1145         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1146                 echo "Error : Cannot build $< : Scilab has not been built"; \
1147         else \
1148                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1149         fi)
1150
1151 # Removes the macros
1152 clean-macros:
1153 # Removes macros (*.bin generated from .sci)
1154         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1155                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1156                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1157         done
1158
1159 test:
1160 # More tests could be added here
1161         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1162         if test -f build.xml -a $$USEANT -eq 1; then \
1163                 $(ANT) test; \
1164         fi
1165
1166 all-local: $(TARGETS_ALL)
1167
1168 .sci.bin:
1169         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1170         echo "Error : Cannot build $< : Scilab has not been build"; \
1171         else \
1172         echo "Creating $@"; \
1173         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1174         fi )
1175
1176 install-html-local:
1177
1178 install-data-local-local:
1179 # Mainly for javasci
1180         @if test -d $(srcdir)/javadoc; then \
1181                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1182         fi
1183 # If the user wants the help sources to be installed
1184 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1185 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1186 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1187 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1188 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1189 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1190 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1191 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1192 @INSTALL_HELP_XML_TRUE@           done ; \
1193 @INSTALL_HELP_XML_TRUE@         fi; \
1194 @INSTALL_HELP_XML_TRUE@  fi; \
1195 @INSTALL_HELP_XML_TRUE@ done; \
1196 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1197 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1198 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1199 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1200 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1201 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1202 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1203 @INSTALL_HELP_XML_TRUE@           done ; \
1204 @INSTALL_HELP_XML_TRUE@         fi; \
1205 @INSTALL_HELP_XML_TRUE@ fi
1206 install-data-local:
1207 # Install the tests
1208         @echo "-------- Install tests (if any) --------"; \
1209         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1210           if test -d $(srcdir)/$$dir/; then \
1211             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1212                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1213                     if test -d "$(srcdir)/$$dir/$$file"; then \
1214                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1215                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1216                     else \
1217                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1218                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1219                     fi \
1220                   done; \
1221           fi; \
1222         done
1223 # Install the help chapter
1224         @echo "-------- Install the help chapter (if any) --------"; \
1225         for lang in $(HELP_CHAPTERLANG); do \
1226                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1227                 if test -f $$HELPFILE; then \
1228                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1229                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1230                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1231                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1232                 fi; \
1233         done
1234 # Install the demos & examples
1235         @echo "-------- Install demos & examples (if any) --------"; \
1236         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1237           if test -d $(srcdir)/$$dir/; then \
1238             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1239                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1240                     if test -d "$(srcdir)/$$dir/$$file"; then \
1241                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1242                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1243                     else \
1244                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1245                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1246                     fi \
1247                   done; \
1248           fi; \
1249         done
1250 # Install the macros
1251         @echo "-------- Install macros (if any) --------"; \
1252         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1253           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1254                 if test -d $(srcdir)/$$dir/; then \
1255                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1256                         if test -n "$(MACROSSPECIALEXT)"; then \
1257                                 specialExtDir=""; \
1258                                 for specialExt in $(MACROSSPECIALEXT); do \
1259                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1260                                 done; \
1261                                 FILELIST="$$FILELIST $$specialExtDir"; \
1262                         fi; \
1263                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1264                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1265                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1266                   done; \
1267                 fi; \
1268         done
1269 # Install java files (.jar)
1270         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1271         echo "-------- Install jar files --------"; \
1272     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1273           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1274                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1275                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1276           done ; \
1277         fi
1278
1279 ########### CLEAN ###################
1280 # Clean help (generated automatically by Scilab)
1281 # It used to clean the macro (clean-macros) but this was causing
1282 # make clean && make to fail Scilab startup
1283 @NEED_JAVA_TRUE@clean-local: clean-java
1284 @NEED_JAVA_FALSE@clean-local:
1285
1286 distclean-local:
1287         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1288
1289 .PHONY: macros java swig giws
1290
1291 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1292 # Otherwise a system limit (for SysV at least) may be exceeded.
1293 .NOEXPORT: